#include <bits/stdc++.h>
#include <string>
using namespace std;
int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	int a, b, c, i, x, y;
	string s;
	cin >> a >> b >> c;
	cin >> s;
	for(i=0;i<c;i++)
	cin >> x >> y;
	for(i=0;i<c;i++){
		cout << c-i+1 << endl;
	}
	return 0;
}